<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.7 [en] (Win98; I) [Netscape]">
   <title>ExoticaX API Docs - DsoundX Library Page</title>
</head>
<body text="#FFFFFF" bgcolor="#000000" link="#0000FF" vlink="#00CC66" alink="#FF0000">

<center><b><font face="Brush455 BT, Comic Sans MS"><font color="#FF0000"><font size=+3>DsoundX.ew
API Documentation</font></font></font></b>
<br>
<hr WIDTH="50%" COLOR="#FF0000"></center>

<p><br>
<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#DS_RT">Runtime
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt>
<font face="Comic Sans MS"><a href="#DSOUND_INIT">dsound_init()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#DSOUND_RELEASE">dsound_release()</a></font></dt>
</blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#DS_SW">Sound_Wav
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt>
<font face="Comic Sans MS"><a href="#LOAD_SOUND">load_sound()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#LOAD_SOUND_FAILED">load_sound_failed()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#FREE_SOUND">free_sound()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#PLAY_SOUND">play_sound()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SET_VOL">set_vol()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SET_PAN">set_pan()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SET_FREQ">set_freq()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#GET_FREE_DSHWBUFFERS">get_free_dshwbuffers()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#GET_FREE_DSHWBYTES">get_free_dshwbytes()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#TOTAL_DSHWBYTES">total_dshwbytes()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#GET_PAN">get_pan()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#GET_VOL">get_vol()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#GET_FREQ">get_freq()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#GET_SWFREQ_MIIN">get_swfreq_min()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#GET_SWFREQ_MAX">get_swfreq_max()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#GET_HWFREQ_MIN">get_hwfreq_min()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#GET_HWFREQ_MAX">get_hwfreq_max()</a></font></dt>
</blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#DS_CD">CD Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt>
<font face="Comic Sans MS"><a href="#CD_INIT">cd_init()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_CLOSE">cd_close()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_PLAY">cd_play()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_PLAYTRACK">cd_playtrack()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_STOP">cd_stop()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_PAUSE">cd_pause()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_RESUME">cd_resume()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_TRACKPREVIOUS">cd_trackprevious()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_TRACKNEXT">cd_tracknext()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_GETNUMTRACKS">cd_getnumtracks()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#CD_GETCURRENTTRACK">cd_getcurrenttrack()</a></font></dt>

<br><font face="Comic Sans MS"><a href="#CD_GETPOSITION">cd_getposition()</a></font>
<br><font face="Comic Sans MS"><a href="#CD_GETTRACK_LENGTH">cd_gettrack_length()</a></font>
<br><font face="Comic Sans MS"><a href="#CD_GETLENGTH">cd_getlength()</a></font>
<br><font face="Comic Sans MS"><a href="#CD_STATUS">cd_status()</a></font>
<br><font face="Comic Sans MS"><a href="#CD_READY">cd_ready()</a></font></blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#DS_MID">Midi_Music
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt>
<font face="Comic Sans MS"><a href="#DMUSIC_INIT">dmusic_init()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#DMUSIC_RELEASE">dmusic_release()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#DMUSIC_TOGGLE">dmusic_toggle_reverb()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#DMUSIC_REVERB">dmusic_reverb_avail()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#MIDI_OPEN">midi_open()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#MIDI_CLOSE">midi_close()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#MIDI_PLAY">midi_play()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#MIDI_STOP">midi_stop()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#MIDI_PAUSE">midi_pause()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#MIDI_RESUME">midi_resume()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#IS_MIDI_READY">is_midi_ready()</a></font></dt>
</blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#DS_ST">Streaming_Wav
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt>
<font face="Comic Sans MS"><a href="#SETUP_SB">setup_stream_buffer()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SB_EXIT">stream_buffer_exit()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SB_UPDATE">stream_buffer_update()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SB_PLAY">stream_buffer_play()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SB_STOP">stream_buffer_stop()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SB_RESUME">stream_buffer_resume()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SB_VOLUME">stream_buffer_volume()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#FREE_STREAMWAVE">free_streamwave()</a></font></dt>
</blockquote>
</td>
</tr>
</table></center>

<p>
<hr WIDTH="75%" COLOR="#FF0000">
<center>
<p><a NAME="DS_RT"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Runtime
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="DSOUND_INIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>dsound_init(
<i>atom
Mode, integer Chans, integer Freq, integer Bytes_Per_Second </i>)</font>
<blockquote><b><i>Mode</i></b> can be either DSSCL_NORMAL, DSSCL_PRIORITY,
DSSCL_EXCLUSIVE, or DSSCL_WRITEPRIMARY
<br><b><i>Channels</i></b> 1=Mono, 2=Stereo
<br><b><i>Freq</i></b> is typically either 11025 (radio quality),22050
(tape quality), or 44100 (CD quality)
<br><b><i>BPS</i></b> can be either 8 or 16</blockquote>
</td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Initializes the DirectSound component of exotica. This must
be called in order to use any of Exotica's Sound routines.
<br>DSSCL_NORMAL is the default mode with 2 channels (stereo), a frequency
of 22050 and 8 bits per sample, ignoring the other parameters you enter.
<br>DSSCL_PRIORITY is not recommended, it may change the output of other
programs sound devices, but will implement the new parameters.
<br>DSSCL_EXCLUSIVE is the mode to use if you want a custom setup. It will
mute other apps.
<br>DSSCL_WRITEPRIMARY grants access to the primary buffer for custom mixing.
It will mute other apps.
<br>You will usually use either NORMAL or EXCLUSIVE. The other two are
specialized.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="DSOUND_RELEASE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>dsound_release()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This releases the DirectSound component of Exotica. exotica_exit()
will do this automatically.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<center>
<p><a NAME="DS_SW"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Sound_Wav
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="LOAD_SOUND"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>load_sound(
<i>sequence
Wav, atom Buffers, atom Mode </i>)</font>
<blockquote><b><i>Wav</i></b> is the sound file to load
<br><b><i>Buffers</i></b> is the number of times the sound can be played
simultaneously
<br><b><i>Mode</i></b> is either 0=Software, or 1=Hardware</blockquote>
</td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Failure</dt>

<dt>
otherwise, it returns the Wav_ID of the sound that was loaded</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Loads the specified wave file.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="LOAD_SOUND_FAILED"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>load_sound_failed()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = False</dt>

<dt>
1 = True</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>&nbsp;If you load many wav sounds, you can use this routine
to see if any of them failed, rather than checking every single time you
load a wav file.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="FREE_SOUND"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>free_sound(
<i>atom
Wav_ID </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Unloads the specified wav file. exotica_exit() will take care
of this.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="PLAY_SOUND"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>play_sound(
<i>atom
Wav_ID, atom Volume, atom Pan, atom Freq, atom Loop </i>)</font>
<blockquote><b><i>Wav_ID</i></b> is the sound you want to play
<br><b><i>Volume</i></b> is in the range : -10000 to 0 (0 being full volume)
<br><b><i>Pan</i></b> is in the range : -10000 to 10000 (negative being
LEFT, positive being RIGHT)
<br><b><i>Freq</i></b> <b><i>_Adjust</i></b> is the adjustment you want
to make to the original frequency for the sound you want to play
<br><b><i>Loop</i></b> is either 0=False, 1=True</blockquote>
</td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Plays the specified sound, allowing you to customize the settings
for the particular sound.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SET_VOL"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>set_vol(
<i>atom
Wav_ID, atom Vol </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Sets the volume of the specified sound.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SET_PAN"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>set_pan(
<i>atom
Wav_ID, atom Wav_Pan </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Sets the pan of the specified sound.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SET_FREQ"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>set_freq(
<i>atom
Wav_ID, atom Freq </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Sets the frequency of the specified sound.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_FREE_DSHWBUFFERS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_free_dshwbuffers()</font></td>
</tr>

<tr>
<td><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the amount of free DirectSound hardware memory buffers.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_FREE_DSHWBYTES"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_free_dshwbytes()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the amount of free DirectSound hardware memory in bytes.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="TOTAL_DSHWBYTES"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>total_dshwbytes()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the total amount of DirectSound hardware memory in
bytes.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_PAN"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_pan(
<i>atom
Wav_ID </i>)</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the pan value of the specified sound.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_VOL"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_vol(
<i>atom
Wav_ID </i>)</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the volume value of the specified sound.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_FREQ"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_freq(
<i>atom
Wav_ID </i>)</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the frequency of the specified sound.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_SWFREQ_MIIN"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_swfreq_min()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the minimum frequency allowed by software mode.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_SWFREQ_MAX"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_swfreq_max()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the maximum frequency allowed by software mode.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_HWFREQ_MIN"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_hwfreq_min()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the minimum frequency allowed by hardware mode.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_HWFREQ_MAX"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_hwfreq_max()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the maximum frequency allowed by hardware mode.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<center>
<p><a NAME="DS_CD"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>CD
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="CD_INIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>cd_init()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Initializes the CD player.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="CD_CLOSE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>cd_close()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Shuts down the CD player.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="CD_PLAY"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>cd_play()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Plays the CD from the beginning.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="CD_PLAYTRACK"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>cd_playtrack(
<i>atom
Track</i> )</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Plays the specified track.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="CD_STOP"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>cd_stop()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Stops the CD.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="CD_PAUSE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>cd_pause()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Pauses play of the CD.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="CD_RESUME"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>cd_resume()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Reumes play of the CD.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="CD_TRACKPREVIOUS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>cd_trackprevious()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Plays the previous track.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="CD_TRACKNEXT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>cd_tracknext()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Plays the next track.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="CD_GETNUMTRACKS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>cd_getnumtracks()</font></td>
</tr>

<tr>
<td><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the number of tracks on the CD.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="CD_GETCURRENTTRACK"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>cd_getcurrenttrack()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the current track of the CD.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="CD_GETPOSITION"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>cd_getposition()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>sequence</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the position of the CD in the form "TRACK:MINS:SECS:MILLI".
<br>Return sequence is 11 characters long, 2 digits for each element TRACK/MINS/SECS/MILLI,
seperated by colons.
<br>EG "01:01:00:00"&nbsp; ( track 01 : 01 minute : 00 seconds : 00 milliseconds
)</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="CD_GETTRACK_LENGTH"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>cd_gettrack_length(
<i>integer
Track </i>)</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>sequence</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the length of the specified track in the form "MINS:SECS:MILLI".
<br>Return sequence is 8 characters long, 2 digits for each element MINS/SECS/MILLI,
seperated by colons.
<br>EG "01:00:00"&nbsp; ( 01 minute : 00 seconds : 00 milliseconds )</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="CD_GETLENGTH"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>cd_getlength()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>sequence</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the length of theCD in the form "MINS:SECS:MILLI".
<br>Return sequence is 8 characters long, 2 digits for each element MINS/SECS/MILLI,
seperated by colons.
<br>EG "01:00:00"&nbsp; ( 01 minute : 00 seconds : 00 milliseconds )</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="CD_STATUS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>cd_status()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Stopped&nbsp;</dt>

<dt>
1 = Playing</dt>

<dt>
2 = Paused</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>&nbsp;Returns the position of the CD in the form "TRACK:MINS:SECS:MILLI".
<br>Return sequence is 11 characters long, 2 digits for each element TRACK/MINS/SECS/MILLI,
seperated by colons.
<br>EG "01:01:00:00"&nbsp; ( track 01 : 01 minute : 00 seconds : 00 milliseconds
)</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="CD_READY"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>cd_ready()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = False&nbsp;</dt>

<dt>
1 = True</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>&nbsp;Returns TRUE if the cd player is ready to play, FALSE
if it isn't..&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<center>
<p><a NAME="DS_MID"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Midi_Music
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="DMUSIC_INIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>dmusic_init()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>&nbsp;In order to use the midi functions, you must initialize
Exotica's DMUSIC component.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="DMUSIC_RELEASE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>dmusic_release()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Releases the DMUSIC component of Exotica.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="DMUSIC_TOGGLE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>dmusic_toggle_reverb(
<i>atom
Toggle </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>If Toggle=1 then turn reverb on, If Toggle=0 then turn reverb
off.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="DMUSIC_REVERB"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>dmusic_reverb_avail()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = False&nbsp;</dt>

<dt>
1 = True</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>&nbsp;Checks to see if your soundcard&nbsp; supports the reverb
effect.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="MIDI_OPEN"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>midi_open(
<i>sequence
Midi </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Opens a midi file to be played. You can only have one midi
file opened at a time.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="MIDI_CLOSE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>midi_close()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Closes the midi file.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="MIDI_PLAY"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>midi_play()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Plays the midi file</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="MIDI_STOP"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>midi_stop()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Stops the midi file..</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="MIDI_PAUSE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>midi_pause()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Pauses play of the midi file.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="MIDI_RESUME"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>midi_resume()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Resumes play of the midi file.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="IS_MIDI_READY"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>is_midi_ready()</font></td>
</tr>

<tr>
<td>
<dt>
<font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font></dt>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns 1 if the midi is playing, and 0 if it is done.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<center>
<p><a NAME="DS_ST"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Streaming_Wav
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="SETUP_SB"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>setup_stream_buffer(
<i>sequence
Wav, atom Loop </i>)</font>
<blockquote><b><i>Wav</i></b> is the wave file to be opened for streaming
<br><b><i>Loop</i></b> is either 0=False, 1=True</blockquote>
</td>
</tr>

<tr>
<td><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Opens the specified wave file for streaming returning the Wav_ID.
If the routine fails, it returns 0.
<br>If you load many Wav files, you can use load_sound_failed() to check
if any of them failed, instead of having to check each one individually.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SB_EXIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>stream_buffer_exit()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Shuts down and releases all the Wav files that were loaded
using setup_stream_buffer().</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SB_UPDATE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>stream_buffer_update()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>You must call this in your main loop to play any stream buffers.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SB_PLAY"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>stream_buffer_play(
<i>atom
Wav_ID </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Plays the specified streaming wave file starting from the beginning.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SB_STOP"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>stream_buffer_stop(
<i>atom
Wav_ID </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Stops the specified streaming wave file.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SB_RESUME"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>stream_buffer_resume(
<i>atom
Wav_ID </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Resumes play of the specified streaming wave file wherever
it was stopped.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SB_VOLUME"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>stream_buffer_volume(
<i>atom
Wav_ID, atom Vol </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Sets the volume of the specified wave file.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="FREE_STREAMWAVE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>free_streamwave(
<i>Wav_ID
</i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Releases the specified wave file that was loaded using setup_stream_buffer().</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center>
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<p><b><i><u><font face="Comic Sans MS"><font size=+2><a href="#TOP">Back
To Top</a></font></font></u></i></b></center>

</body>
</html>
